Bug 182157 - system-config-services does not show xfs as a service.
Summary: system-config-services does not show xfs as a service.
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-xfs   
(Show other bugs)
Version: 5
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-20 20:21 UTC by Jason
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:38:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jason 2006-02-20 20:21:47 UTC
Description of problem:
system-config-services does not show xfs as a service.

Version-Release number of selected component (if applicable):
system-config-services-0.8.99.2-1

How reproducible:
launch system-config-services look for xfs

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Nils Philippsen 2006-02-21 14:38:12 UTC
This is apparently intentional, see the beginning of /etc/init.d/xfs:

---- 8< ----
#!/bin/bash
#
# $Id:$
#
# xfs:       Starts the X Font Server
#
# Version:      @(#) /etc/init.d/xfs 2.0
#
# chkconfig: 2345 90 10
# description: Starts and stops the X Font Server at boot time and shutdown. \
#              It also takes care of (re-)generating font lists.
#
# processname: xfs
# config: /etc/X11/fs/config
# hide: true
---- >8 ----

The last line causes system-config-services to not show the xfs service.

Comment 2 Mike A. Harris 2006-02-21 15:42:00 UTC
Oddly, I don't ever remember being aware that you could hide services in this
manner.  More oddly, I could have sworn that xfs was disableable via ntsysv,
however it seems that isn't the case.

Conclusion:
After a certain age, your memory facilities start to crumble.  It's all
downhill from there.  First initscript syntax, then who knows...  ;o)




Note You need to log in before you can comment on or make changes to this bug.